package com.supervision.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 数字人信息
 * @TableName digital_human
 */
@TableName(value ="digital_human")
@Data
public class DigitalHuman implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 模特名
     */
    private String modelName;

    /**
     * 所属行业
     */
    private String industry;

    /**
     * 擅长
     */
    private String goodAt;

    /**
     * 默认音色id

     */
    private String defaultVoiceId;

    /**
     * 在线状态 0：离线 1：在线
     */
    private String onlineStatus;

    /**
     * 模型类型 0：系统预设 1：自定义
     */
    private String modelType;

    /**
     * 头像图片id
     */
    private String headPicId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}